Bug Hunting Session
Bug 95977 - EDITING: Image moving and anchoring erratic behavior on text body style
Summary: EDITING: Image moving and anchoring erratic behavior on text body style
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
5.0.0.5 release
Hardware: All All
: medium normal
Assignee: Björn Michaelsen
URL:
Whiteboard: target:5.2.0 target:5.1.3 target:5.0.6
Keywords: bibisected, bisected, regression
Depends on:
Blocks:
 
Reported: 2015-11-22 03:41 UTC by Robert Gonzalez MX
Modified: 2016-10-25 19:08 UTC (History)
4 users (show)

See Also:
Crash report or crash signature:


Attachments
Test file with images (95.20 KB, application/vnd.oasis.opendocument.text)
2015-11-22 03:42 UTC, Robert Gonzalez MX
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Robert Gonzalez MX 2015-11-22 03:41:33 UTC
Description: Beginning with LO Writer 5.0.0 when the style applied to a text is “text body”, moving an image or picture with the arrow keys to the left or right, the movement is as fallows:

key			movement	
right arrow key → right movement but 1 row down
left arrow key → left movement but 1 row down
down arrow key → two row movement 
up arrow key → one row movement (ok)

Also the image is difficult to align with the titles and limits of paragraphs with the mouse.
Tested on Version: 5.0.3.2
Build ID: e5f16313668ac592c1bfb310f4390624e3dbfb75
Locale: es-MX (es_MX), on Windows 10

Version: 5.1.0.0.alpha1+
Build ID: 11b7a2c89b8e155bf1da79107878f066847b46eb
TinderBox: Win-x86@62-merge-TDF, Branch:MASTER, Time: 2015-11-19_23:38:05
Locale: es-MX (es_MX), on Windows 10

On Writer 4.4.6.3 the movement with the arrows are as expected, up or down one row, left of right in small spaces, (don't know the length) and positioning is more precise.
Version: 4.4.6.3
Build ID: e8938fd3328e95dcf59dd64e7facd2c7d67c704d
Locale: es_MX, on windows 10
Comment 1 Robert Gonzalez MX 2015-11-22 03:42:43 UTC
Created attachment 120714 [details]
Test file with images
Comment 2 Jacques Guilleron 2015-11-22 09:25:47 UTC
Hi Robert,

I reproduce with 

LO 5.0.3.2 Build ID: e5f16313668ac592c1bfb310f4390624e3dbfb75 Locale : fr-FR (fr_FR)
LO 5.0.0.0.alpha1+ Build ID: 6664859e1e8b3f8b7db8c931b8d0335510c20ce0
TinderBox: Win-x86@42, Branch:master, Time: 2015-05-16_03:16:31
Not with
LO 4.4.6.2 Build ID: 008d5d0ddffba0b82de2a2c36a65b9cba0a6b328
under Windows 7 Home.
Set Status to NEW and Keyword to regression.
Comment 3 raal 2015-11-24 15:00:12 UTC
This seems to have begun at the below commit.
Adding Cc: to Björn Michaelsen ; Could you possibly take a look at this one? Thanks

edd4f19a724110c780eb4b9e4201926ad35b34a2 is the first bad commit
commit edd4f19a724110c780eb4b9e4201926ad35b34a2
Author: Norbert Thiebaud <nthiebaud@gmail.com>
Date:   Sun May 3 04:01:21 2015 -0500
    source sha:0c5cbcd776f3f71226ea59d7d8e5d2c20f3c5c00
    source sha:0c5cbcd776f3f71226ea59d7d8e5d2c20f3c5c00

author    Bjoern Michaelsen <bjoern.michaelsen@canonical.com>    2014-11-19 23:02:44 (GMT)
committer    Björn Michaelsen <bjoern.michaelsen@canonical.com>    2014-11-20 18:20:10 (GMT)
commit    0c5cbcd776f3f71226ea59d7d8e5d2c20f3c5c00 (patch)
Comment 4 Robinson Tryon (qubit) 2015-12-13 11:14:30 UTC Comment hidden (obsolete)
Comment 5 Robert Gonzalez MX 2016-01-16 02:57:20 UTC
Hi.

Tested it with Version: 5.1.0.2 "RC2"
Build ID: ecd3574d51754b043f865cf5bafee286d24db7cc
CPU Threads: 8; OS Version: Windows 6.2; UI Render: GL; 
Locale: es-MX (es_MX)
on Widows 10

And still present.
Comment 6 Commit Notification 2016-03-22 14:59:14 UTC
Bjoern Michaelsen committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=f47f49449cc69561906410a10dd574ab170aece9

tdf#95977: fix fly positioning regression from 0c5cbcd7

It will be available in 5.2.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 7 Commit Notification 2016-03-22 17:06:23 UTC
Bjoern Michaelsen committed a patch related to this issue.
It has been pushed to "libreoffice-5-1":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=39bdff845fb4cb87958db712e6f1add0a073b38b&h=libreoffice-5-1

tdf#95977: fix fly positioning regression from 0c5cbcd7

It will be available in 5.1.3.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 8 Commit Notification 2016-03-22 17:06:28 UTC
Bjoern Michaelsen committed a patch related to this issue.
It has been pushed to "libreoffice-5-0":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=01ba19094272cb661f781c091fd11f3a01dc1ea0&h=libreoffice-5-0

tdf#95977: fix fly positioning regression from 0c5cbcd7

It will be available in 5.0.6.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.